## ros-kinetic-mouse-teleop 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mouse_teleop)

find_package(catkin REQUIRED)

catkin_package()

install(PROGRAMS scripts/mouse_teleop.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

foreach(dir config launch)
  install(DIRECTORY ${dir}/
      DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-kinetic-mouse-teleop (0.3.1-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-kinetic-mouse-teleop (0.3.0-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-kinetic-mouse-teleop (0.2.6-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-kinetic-mouse-teleop (0.2.5-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-kinetic-mouse-teleop (0.2.4-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-kinetic-mouse-teleop (0.2.3-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-kinetic-mouse-teleop (0.2.2-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-kinetic-mouse-teleop (0.2.1-1xenial) xenial; urgency=high

  * Add mouse_teleop
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-kinetic-mouse-teleop (0.2.0-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-kinetic-mouse-teleop (0.1.2-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-kinetic-mouse-teleop (0.1.1-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000

ros-kinetic-mouse-teleop (0.1.0-1xenial) xenial; urgency=high



 -- Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>  Thu, 28 Nov 2013 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-mouse-teleop
Section: misc
Priority: optional
Maintainer: Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-mouse-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-kinetic-geometry-msgs, ros-kinetic-rospy
Description: A mouse teleop tool for holonomic mobile robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mouse-teleop//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
